#ifndef ENTITYMANAGER_H
#define ENTITYMANAGER_H

#include "entity.h"

class IEntityManager
{
public:
    IEntityManager() {}
    virtual void Init() = 0;
	virtual void Cleanup() = 0;

	virtual void Add( IEntity* ) = 0;
	virtual void Remove( std::string UID ) = 0;

	virtual int NumOfEntities() = 0;
	virtual void GetEntity( std::string UID ) = 0;

	virtual void Update( int deltaT ) = 0;
	virtual void Draw( SDL_Surface* screen ) = 0;
};

#endif // ENTITYMANAGER_H
